# Uses of Class
org.apache.lucene.codecs.LiveDocsFormat

Packages that use LiveDocsFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.

- ## Uses of LiveDocsFormat in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return LiveDocsFormat
  Modifier and Type
  Method
  Description
  `abstract LiveDocsFormat`
  Codec.`liveDocsFormat()`
  Encodes/decodes live docs
  `LiveDocsFormat`
  FilterCodec.`liveDocsFormat()`

- ## Uses of LiveDocsFormat in org.apache.lucene.codecs.lucene103

  Methods in org.apache.lucene.codecs.lucene103 that return LiveDocsFormat
  Modifier and Type
  Method
  Description
  `final LiveDocsFormat`
  Lucene103Codec.`liveDocsFormat()`

- ## Uses of LiveDocsFormat in org.apache.lucene.codecs.lucene90

  Subclasses of LiveDocsFormat in org.apache.lucene.codecs.lucene90
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90LiveDocsFormat`
  Lucene 9.0 live docs format